EMF::EMRSETMETARGN Class Reference

EMF Set Meta Region. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETMETARGN:

## Public Member Functions

| EMRSETMETARGN (void)
| EMRSETMETARGN (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Meta Region.

I really have no idea.

## Constructor & Destructor Documentation

## EMRSETMETARGN() [1/2]

EMF::EMRSETMETARGN::EMRSETMETARGN | ( | void |  | ) |

inline

Create a Set Meta Rgn record.

## EMRSETMETARGN() [2/2]

EMF::EMRSETMETARGN::EMRSETMETARGN | ( | DATASTREAM & | ds | ) |

inline

Construct an Setmetargn record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSETMETARGN::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRSETMETARGN::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSETMETARGN::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h